<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HostReturnOptions](./bitburner.hostreturnoptions.md)

## HostReturnOptions interface

Options to control how a server identifier (hostname or IP address) is returned. Affects the behavior of [scan](./bitburner.ns.scan.md)<!-- -->, [getServerNames](./bitburner.cloud.getservernames.md)<!-- -->, and [getCurrentServer](./bitburner.singularity.getcurrentserver.md)

**Signature:**

```typescript
interface HostReturnOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[returnByIP?](./bitburner.hostreturnoptions.returnbyip.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ If set to `true`<!-- -->, returns IP addresses instead of hostnames. Defaults to `false`<!-- -->.


</td></tr>
</tbody></table>

